tasks/run
POST
/scheduled-agents/{scheduled_agent_id}/runRun an enabled Task now. Requires the scheduled-agents feature, editor access, and the configuration:write permission.
Request
cURL
curl -X POST "https://provisioning.cloudx.io/api/v1/scheduled-agents/{scheduled_agent_id}/run" \
-H "Authorization: Bearer $CLOUDX_API_KEY"Path parameters
| Name | Type | Description |
|---|---|---|
scheduled_agent_idrequired | string | Task ID. |
Responses
Task run queued.
null202 Task run queued.
401 Unauthorized.
| Field | Type | Description |
|---|---|---|
errorrequired | string |
403 Forbidden or feature unavailable.
| Field | Type | Description |
|---|---|---|
errorrequired | string |
404 Task not found.
| Field | Type | Description |
|---|---|---|
errorrequired | string |
409 Task is disabled or already running.
| Field | Type | Description |
|---|---|---|
errorrequired | string |
500 Internal server error.
| Field | Type | Description |
|---|---|---|
errorrequired | string |